Bug 1537259 - OpenLDAP defaults to use only Shared System Certificates
Summary: OpenLDAP defaults to use only Shared System Certificates
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matus Honek
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28,SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 19:08 UTC by Jan Kurik
Modified: 2018-07-20 11:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 12:04:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1270678 None CLOSED [SSL] Use system trusted CA store by default 2019-11-04 10:06:31 UTC

Internal Links: 1270678

Description Jan Kurik 2018-01-22 19:08:07 UTC
This is a tracking bug for Change: OpenLDAP defaults to use only Shared System Certificates
For more details, see: https://fedoraproject.org/wiki/Changes/OpenLDAPdefaultSharedSystemCertificates

In order to go forward with adoption of SharedSystemCertificates after this change OpenLDAP clients and server will default to use only the system-wide certificates store.

Comment 1 Jan Kurik 2018-02-20 14:09:59 UTC
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.

Comment 2 Fedora End Of Life 2018-02-20 15:39:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Matus Honek 2018-02-21 16:55:10 UTC
https://src.fedoraproject.org/rpms/openldap/c/bdec46fdafce949b88f36cb2055e1ec3f2c721f4?branch=master

I'm sorry for landing the change late. Hopefully this does not cause much trouble.

Comment 4 Jan Kurik 2018-03-06 08:57:35 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 5 Matus Honek 2018-03-06 09:25:06 UTC
Sorry, forgot to change the state. Doing so now.


Note You need to log in before you can comment on or make changes to this bug.